package ru.dbotthepony.mc.otm.registry.data

import net.minecraft.core.registries.BuiltInRegistries
import net.minecraft.world.level.storage.loot.providers.number.LootNumberProviderType
import net.neoforged.bus.api.IEventBus
import ru.dbotthepony.mc.otm.OverdriveThatMatters
import ru.dbotthepony.mc.otm.data.loot.Int2NumberProvider
import ru.dbotthepony.mc.otm.registry.MDeferredRegister

object MLootNumberProviders {
	private val registry = MDeferredRegister(BuiltInRegistries.LOOT_NUMBER_PROVIDER_TYPE, OverdriveThatMatters.MOD_ID)

	fun register(bus: IEventBus) {
		registry.register(bus)
	}

	val INT_2_NUMBER_TYPE by registry.register("int2number") { LootNumberProviderType(Int2NumberProvider.CODEC) }
}
